
function [dfg]=polynom2ALL(x,y);
% Robert Kollmann, robert_kollmann@yahoo.com
% September 15, 2003. Let x & y be matrices with I and K columns, respectively. 
% This proc returns a matrix whose columns are:  
%                     [x(:,1).*y(:,1) x(:,1).*y(:,2) ...x(:,1)*y(:,I) ...
%                      x(:,2).*y(:,1) x(:,2).*y(:,2) ...x(:,2)*y(:,I) ...
%                                                       ...
%                      x(:,I).*y(:,1) x(:,I).*y(:,2)     x(:,I)*y(:,I)]


%if cols(x)~=cols(y); error('!!!'); end;
if rows(x)~=rows(y); error('!!!'); end;
if cols(size(x))>2;  error('1'); end;
if cols(size(y))>2;  error('2'); end;

dfg=[];
i=1; while i<=cols(x);
    rtz=(x(:,i)*ones(1,cols(y))).*y;  
    dfg=[dfg rtz];
i=i+1; end;    

    



