

%Feb. 3, 1992; March 12, 2001.
%  This calculates correlation between two series  x1 & x2; 

function [wsp]=correl(x);

if cols(x)~=2; return; end;

x1=x(:,1); x2=x(:,2);

t=rows(x1);
x1=x1-ones(t,1)*mean(x1); x2=x2-ones(t,1)*mean(x2);

a1=x1.*x1; a2=x1.*x2; a3=x2.*x2;

a=[a1 a2 a3];
b=mean(a);
b1=b(1,1); b2=b(1,2); b3=b(1,3);

if abs(b1*b3)<1e-30 ;  wsp=-99;
else;
wsp=b2/((b1*b3)^0.5);
end;


