
function [dfg]=polynom2FULL(x,y);
% September 15, 2003. Let x & y be matrices with I and K columns, respectively. 
% This proc returns:  [x(:,1).*y(:,1) x(:,1).*y(:,2) ....x(:,I).*y(:,K)]

if rows(x)~=rows(y); error('!!!'); end;
if cols(size(x))>2;  error('1'); end;
if cols(size(y))>2;  error('2'); end;

%dfg=[];
%i=1; while i<=cols(x);
%    rtz=(x(:,i)*ones(1,cols(y))).*y;  
%    dfg=[dfg rtz];
%i=i+1; end;    

    
z1=KRON(1:1:cols(x),ones(1,cols(y)));    
z2=KRON(ones(1,cols(x)),1:1:cols(y));
dfg=x(:,z1).*y(:,z2);



