function res=vech1(x);
% 2.9.2006. This proc takes the square matrix and it vectorizes all
% elements that are not above the main diagonal.
% Eg: x=[x11 x12 x13; 
%        x21 x22 x23; 
%        x31 x32 x33];
% vech(x)=[x11; x21; x31; x22; x32; x33];
% THIS PROC produces the same result as vech.m
% Robert Kollmann, robert_kollmann@yahoo.com

if rows(x)~=cols(x); error(''); end;

k=cols(x); d=(1:1:k^2); Z=reshape(d,k,k); y=tril(Z); DD=y(y>0);

resA=x(:);
res=resA(DD,:);
